Debians sikkerhedsbulletin

DSA-1884-1 nginx -- bufferunderløb

Rapporteret den:
14. sep 2009
Berørte pakker:
nginx
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2009-2629.
Yderligere oplysninger:

Chris Ries opdagede at nginx, en højtydende HTTP-server, reverse proxy og IMAP/POP3-proxyserver, var sårbar over for et bufferunderløb ved behandling af visse HTTP-forespørgsler. En angriber kunne anvende dette til at udføre vilkårlig kode med rettighederne tilhørende worker-processen (www-data i Debian) eller muligvis iværksætte lammelsesangreb (denial of service) ved gentagne gange at få worker-processen til at gå ned gennem særligt fremstillede URL'er i en HTTP-forespørgsel.

I den gamle stabile distribution (etch), er dette problem rettet i version 0.4.13-2+etch2.

I den stabile distribution (lenny), er dette problem rettet i version 0.6.32-3+lenny2.

I distributionen testing (squeeze), vil dette problem snart blive rettet.

I den ustabile distribution (sid), er dette problem rettet i version 0.7.61-3.

Vi anbefaler at du opgraderer dine nginx-pakker.

Rettet i:

Debian GNU/Linux 4.0 (etch)

Kildekode:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13.orig.tar.gz
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2.diff.gz
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2.dsc
Alpha:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.4.13-2+etch2_sparc.deb

Debian GNU/Linux 5.0 (lenny)

Kildekode:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2.dsc
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2.diff.gz
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_powerpc.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/n/nginx/nginx_0.6.32-3+lenny2_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.